GET
/api/Users
const url = 'https://example.com/api/Users';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/Users \ --header 'Authorization: Bearer <token>'Returns a paginated list of staff users for a merchant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” MerchantId
string format: uuid
Search
string
Page
integer format: int32
PageSize
integer format: int32
Responses
Section titled “ Responses ”Paginated list of users.
Media type application/json
object
items
Array<object>
object
id
string format: uuid
merchantId
string format: uuid
email
string
firstName
string
lastName
string
fullName
string
role
string
isActive
boolean
lastLoginAt
string format: date-time
createdAt
string format: date-time
updatedAt
string format: date-time
page
integer format: int32
pageSize
integer format: int32
totalCount
integer format: int32
totalPages
integer format: int32
hasNextPage
boolean
hasPreviousPage
boolean
Example
{ "items": [ { "role": "Owner" } ]}